Suddenly getting error after 1 Year

Hello, My app is in
https://share.streamlit.io/anubhav1107/streamlit/streamlit.py

It’s been running well for 1 year, suddenly I am getting errors as

streamlit.legacy_caching.hashing.UserHashError: This app has encountered an error. 

File "/home/appuser/venv/lib/python3.7/site-packages/streamlit/legacy_caching/hashing.py", line 771, in get_referenced_objects

    tos = getattr(tos, op.argval)

AttributeError: module 'os' has no attribute 'O_TEMPORARY'

During handling of the above exception, another exception occurred:

Traceback (most recent call last)

My repo is in Anubhav1107/streamlit (github.com)
Any help would be great

1 Like

Wait, I cleared it actually ??
I used

@st.experimental_memo

and it seemed to work, sorry for the issue people !

1 Like